Bug 14326 - XSLT Syntax error in MARC21slimOPACResults.xsl
Summary: XSLT Syntax error in MARC21slimOPACResults.xsl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 4421
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-04 02:45 UTC by Winona Salesky
Modified: 2016-12-05 21:22 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14326 - XSLT Syntax error in MARC21slimOPACResults.xsl (1.88 KB, patch)
2015-06-04 03:03 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14326 - XSLT Syntax error in MARC21slimOPACResults.xsl (1.94 KB, patch)
2015-06-06 16:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14326 - XSLT Syntax error in MARC21slimOPACResults.xsl (1.99 KB, patch)
2015-06-23 11:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Winona Salesky 2015-06-04 02:45:16 UTC
In MARC21slimOPACResults.xsl on line 1083, there is a xsl:call-template with a select in addition to a name attribute. Select can not be used with xsl:call-template. This throws an error in Saxon and is invalid xslt. As far as I can tell this select can simply be removed as the xsl:for-each parent statement is using the same logic. 

-Winona
Comment 1 Winona Salesky 2015-06-04 03:03:43 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-06-06 16:20:08 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-23 11:00:22 UTC
Created attachment 40518 [details] [review]
Bug 14326 - XSLT Syntax error in MARC21slimOPACResults.xsl

Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac  record details
3) Perform an opac search check "Availability" for expected display values.
5) Note this patch corrects invalid syntax in xslt, there should be no visable changes to the results page.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Jonathan Druart 2015-06-23 11:00:46 UTC
Introduced by bug 4421.
Comment 5 Tomás Cohen Arazi 2015-07-08 17:42:23 UTC
Patch pushed to master.

Thanks Winona!
Comment 6 Chris Cormack 2015-07-14 08:35:37 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 7 Liz Rea 2015-07-20 22:16:00 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 8 Mason James 2015-07-25 13:07:55 UTC
Pushed to 3.16.x, will be in 3.16.13